<?php
/*
 * @Author: wang jun
 * @Date: 2021-11-09 09:39:05
 * @Last Modified by: wang jun
 * @Last Modified time: 2022-01-18 13:29:22
 */
namespace app\admin\controller;

use app\admin\logic\companylogic;
use app\admin\logic\webuserloglogic;
use think\Controller;

class Company extends AdminBase
{
    /**
     * 企业审核
     * 20220209
     * wj
     */
    public function audit()
    {
        $param = request()->param();
        $l_c = new companylogic();
        $result = $l_c->auditcompany($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        }
        $data = $result['data'];
        $param['ids'] = $data['successIds'];
        $param['wuid'] = $this->webuserid;
        $param['type'] = 2;
        $param['tablename'] = 'company';
        $l_wl = new webuserloglogic();
        $l_wl->addauditlog($param);
        return backjson2(200, $result['msg'], $result['data']);
    }
    /**
     * 获取企业列表
     * 20220209
     * wj
     */
    public function getlistbywhere()
    {
        $param = request()->param();
        $l_c = new companylogic();
        $result = $l_c->getlistbywhere($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        }
        return backjson2(200, $result['msg'], $result['data']);
    }
    /**
     * 根据id获取企业信息
     * 20220209
     * wj
     */
    public function getinfobyid()
    {
        $param = request()->param();
        $l_c = new companylogic();
        $result = $l_c->getinfobyid($param);
        if (1 != $result['status']) {
            return backjson2(0, $result['msg']);
        }
        return backjson2(200, $result['msg'], $result['data']);
    }
}
